Bug 109997 - rpm 4.2.1 segfaults (tried everything; rebuilddb, dump/load Packages, etc)
rpm 4.2.1 segfaults (tried everything; rebuilddb, dump/load Packages, etc)
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-13 14:59 EST by Scott Harrison
Modified: 2007-04-18 12:59 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-27 15:41:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott Harrison 2003-11-13 14:59:06 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.3) Gecko/20030312

Description of problem:
rpm -qa
...long list of rpm names...
Segmentation fault at the end

rpm --rebuilddb -vv
...lotsa stuff...
Segmentation fault at the end.

excerpt from rebuilddb
D: adding "c2e5b8be4b641578d1e75507226f2cbeb1ffa9d1" to Sha1header index.
D: adding 10 entries to Filemd5s index.
D:  read h#     948 Header V3 DSA signature: OK, key ID db42a60e
D:   +++ h#     654 Header V3 DSA signature: OK, key ID db42a60e
D: adding "openssl" to Name index.
D: adding 76 entries to Basenames index.
D: adding "System Environment/Libraries" to Group index.
D: adding 23 entries to Requirename index.
D: adding 4 entries to Providename index.
D: adding 12 entries to Dirnames index.
D: adding 23 entries to Requireversion index.
D: adding 4 entries to Provideversion index.
D: adding 1 entries to Installtid index.
D: adding 1 entries to Sigmd5 index.
D: adding "f32691fadde609f1d835a12b40010e43a4693e51" to Sha1header index.
D: adding 76 entries to Filemd5s index.
Segmentation fault

I also tried (with /usr/lib/rpm/rpmdb_* tools)
mv Packages Packages.orig
rpmdb_dump Packages.orig | rpmdb_load Packages

Still same behavior.

Also, concurrent with this were duplicate installs
(new version and old version of several packages
 from freshmeat--had been using yum for many months).

I removed all the duplicate installs and had been
getting freshmeat-rpm-package-specific error
messages (rpm -qa)
error: rpmdbNextIterator: skipping h#     952 Header V3 DSA signature:
BAD, key
ID e42d547b
libavc1394-0.4.1-fr1
error: rpmdbNextIterator: skipping h#     952 Header V3 DSA signature:
BAD, key
ID e42d547b
nmap-3.48-1.fr

So, I removed the packages
(rpm -e nmap libavc1394)
and everything was normal (no more rpmdbNextIterator messages),
except this continuing problem of "Segmentation fault"
with "rpm -qa" and "rpm --rebuilddb -vv".


Version-Release number of selected component (if applicable):
rpm-4.2-1

How reproducible:
Didn't try


Additional info:
Comment 1 Jeff Johnson 2003-12-11 08:33:58 EST
Rename (or remove) /var/lib/rpm/Pubkeys to disable signature checks.

Does that fix the segfaults? 
Comment 2 Scott Harrison 2003-12-11 11:13:35 EST
Yes.  After doing that, rpm appears to be operating normally.  Thanks.
Comment 3 Jeff Johnson 2003-12-27 15:41:31 EST
This is the dangling ptr, fixed in rpm-4.2.2-0.6.

Note You need to log in before you can comment on or make changes to this bug.